#pragma once

#include "common.h"

namespace NRTYDeploy {

    class TDescriptionFileContentGenerator : public TFileContentGenerator {
    public:
        virtual TString GetType() const override;
        virtual TString GetRename(const TContext& context) const override;
        virtual bool GetContent(TString& result, const ICommonData& common, const TContext& context) const override;

        static TFactory::TRegistrator<TDescriptionFileContentGenerator> Registrar;

    private:
        TString GetContentImpl(const TContext& context) const;
    };

}
